org.fourthline.cling.model.types

## Enum UnsignedVariableInteger.Bits

- java.lang.Object
- - java.lang.Enum<UnsignedVariableInteger.Bits>
  - - org.fourthline.cling.model.types.UnsignedVariableInteger.Bits

- All Implemented Interfaces:
    Serializable, Comparable<UnsignedVariableInteger.Bits>
  Enclosing class:
    UnsignedVariableInteger

      public static enum UnsignedVariableInteger.Bits
      extends Enum<UnsignedVariableInteger.Bits>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EIGHT`
    `SIXTEEN`
    `THIRTYTWO`
    `TWENTYFOUR`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getMaxValue()`
    `static UnsignedVariableInteger.Bits` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UnsignedVariableInteger.Bits[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EIGHT

          public static final UnsignedVariableInteger.Bits EIGHT

    - #### SIXTEEN

          public static final UnsignedVariableInteger.Bits SIXTEEN

    - #### TWENTYFOUR

          public static final UnsignedVariableInteger.Bits TWENTYFOUR

    - #### THIRTYTWO

          public static final UnsignedVariableInteger.Bits THIRTYTWO

  - ### Method Detail

    - #### values

          public static UnsignedVariableInteger.Bits[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UnsignedVariableInteger.Bits c : UnsignedVariableInteger.Bits.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UnsignedVariableInteger.Bits valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getMaxValue

          public long getMaxValue()

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.